%define glibmm_version 2.24.0
%define pangomm_version 2.27.1
%define gtk_version 2.24.0

%define pkgname	gtkmm
%define api_version 2.4
%define major 1
%define libname_orig %mklibname %{pkgname} %{api_version}
%define libname %mklibname %{pkgname} %{api_version} %{major}
%define libnamedev %mklibname -d %{pkgname} %{api_version}
%define libnamestaticdev %mklibname -d -s %{pkgname} %{api_version}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}%{api_version}
Summary:	C++ interface for popular GUI library gtk+
Version:	2.24.5
Release:	%mkrel 1
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires: gtk+2-devel >= %{gtk_version}
BuildRequires: glibmm2.4-devel >= %{glibmm_version}
BuildRequires: gnome-common
BuildRequires: libatk1.0-devel
BuildRequires: libatkmm1.6-devel
BuildRequires: libcairo-devel
BuildRequires: libcairomm1.0-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype6-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libglibmm2.4-devel
BuildRequires: libgtk+2.0_0-devel
BuildRequires: libpango1.0-devel
BuildRequires: libpangomm2.4-devel
BuildRequires: libsigc++2.0_0-devel
BuildRequires: libstdc++-devel
BuildRequires: make
BuildRequires: pkgconfig

%description
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package	-n %{libname}
Summary:	C++ interface for popular GUI library gtk+
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.


%package	-n %{libnamedev}
Summary:	Headers and development files of %{pkgname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Requires:	gtk+2-devel >= %{gtk_version}
Requires:	glibmm2.4-devel >= %{glibmm_version}
Obsoletes: %mklibname -d %{pkgname} %{api_version} %{major}

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.


%package	-n %{libnamestaticdev}
Summary:	Static libraries of %{pkgname}
Group:		Development/Libraries
Requires:	%{libnamedev} = %{version}
Provides:	%{libname_orig}-static-devel = %{version}-%{release}
Obsoletes: %mklibname -d -s %{pkgname} %{api_version} %{major}

%description	-n %{libnamestaticdev}
This package contains the static libraries of %{pkgname}.


%package	doc
Summary:	GTKmm documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for gtkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure2_5x --enable-static --enable-shared
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgdkmm-%{api_version}.so.%{major}*
%{_libdir}/libgtkmm-%{api_version}.so.%{major}*

%files -n %{libnamedev}
%doc PORTING ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/gtkmm-%{api_version}
%{_libdir}/gdkmm-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files -n %{libnamestaticdev}
%doc COPYING
%{_libdir}/*.a

%files doc
%doc %{_datadir}/doc/gtkmm-%{api_version}
%doc %{_datadir}/devhelp/books/*


%changelog
* Sun Jan 01 2017 adrianomorselli <adrianomorselli> 2.24.2-1uplos2017
- rebuild

* Fri Oct 14 2016 bb <bb> 2.24.5-1pclos2016
- update

